<?php
// Copper Alloys API code example
// API Documentation: https://apidocs.copper.org
// Documentation for this example: https://apidocs.copper.org/#/Forms_Listings/get_forms_json__formName_
// PHP call example for /forms.json/{formName}
// see documentation for required and optional query parameters
// this is only an example and may not be production-ready

$token; // global variable that should have already been stored and updated earlier in the PHP application for subsequent API calls, see auth-token.php
$headers = array();
$headers[] = 'Accept: application/json';
$headers[] = 'Content-Type: application/json';
$ch = curl_init(); // create curl resource
curl_setopt($ch, CURLOPT_URL, "https://api.copper.org/CDA-API/forms.json/As%20Centrifugal%20Cast?token=" . $token);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);  //return the alloy list as a string
curl_setopt($ch, CURLOPT_HTTPHEADER, $headers); // add Accept and Content-Type headers
$data = curl_exec($ch); // save $token contains the output string
curl_close($ch);  // close curl resource
$json = json_decode($data, true);
print $json['copper-form']['form']['label'];
print '<br/>';
foreach($json['copper-form']['form']['sub-forms'] as $subForm) {
    print $subForm["sub-form"]["label"];
    print '<br />';
}
?>
